Bug 993056 - Asset list widget (including Inbox) needs update
Asset list widget (including Inbox) needs update
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: Mark Proctor
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 10:21 EDT by Jiri Locker
Modified: 2014-08-06 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Inbox (13.04 KB, image/png)
2013-08-05 10:21 EDT, Jiri Locker
no flags Details
actual (15.29 KB, image/png)
2013-09-20 07:24 EDT, Jiri Locker
no flags Details
expected (13.29 KB, image/png)
2013-09-20 07:25 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2013-08-05 10:21:12 EDT
Created attachment 782848 [details]
Inbox

Description of problem:
1. "Open/Delete selected" buttons -- but there is no way to select items
2. "Open" button doesn't open the asset, it does nothing
3. Misplaced column picker button (I think it's obvious, see screenshot)

Version-Release number of selected component (if applicable):
CR1 (community)
Comment 1 Jervis Liu 2013-08-29 13:45:31 EDT
Done
http://github.com/droolsjbpm/guvnor/commit/cbc29e3af
Comment 2 Jiri Locker 2013-09-20 07:24:51 EDT
Created attachment 800446 [details]
actual
Comment 3 Jiri Locker 2013-09-20 07:25:26 EDT
Created attachment 800448 [details]
expected
Comment 4 Jiri Locker 2013-09-20 07:30:16 EDT
The obsolete buttons have been removed. Column picker button is still misplaced and fills all available vertical space. It should look like in attachment 800448 [details].

Would it be also possible to unify style of the buttons to be consistent across the UI?
Comment 9 Jiri Locker 2013-10-17 05:09:10 EDT
The inboxes layout looks OK now. Old-style buttons remained.

Fix verified in ER4.

Note You need to log in before you can comment on or make changes to this bug.